#ifndef __CONFIG_H__
#define __CONFIG_H__

//== Select Arduino board
#define ARDUINO_UNO
//#define ARDUINO_LEONARDO_MICRO_TEENSY

//== Setup Arduino status LED
#define ARDUINO_STATUS_LED 13

//== Setup WS281* LED
#define WS_LED_PIN 12
#define WS_LED_NUM 3
#define WS_PULSE_FAST 3
#define WS_PULSE_NORMAL 5
#define WS_PULSE_SLOW 10

//== Setup Serial Baud
#define UART_BAUD 115200

//== Setup TimerOne Freq
#define TMR_FREQ 800  // 16 bit resolution --> every 0.8ms, thread is "switched"

// Firmware Version
#define FW_VER "0.1"

// Tasks
#define NUM_TASKS 3


#endif // __CONFIG_H__
