void setPulseLed(String received, uint8_t cnum) {
  if( cnum == 5 ) {

    String tmpstring="";
    uint8_t last_length = 2;
    uint8_t tmp_val;
    uint16_t led;


    // Detect LED
    for(int i = 2; i < uart_rec.length(); i++) {
      char onechar = uart_rec[i];
      if( onechar == ',') break;
      tmpstring += onechar;
    }
    led = tmpstring.toInt();
    last_length += tmpstring.length();
    tmpstring="";

    if(!(led > WS_LED_NUM)) {
      pulse_led_bool[led] = true; 
      pulse_led[led].up = false;


      // R
      for(int i = last_length + 1; i < uart_rec.length(); i++) {
        char onechar = uart_rec[i];
        if( onechar == ',') break;
        tmpstring += onechar;
      }

      tmp_val = (uint8_t)tmpstring.toInt();
      pulse_led[led].r = tmp_val;
      pulse_led[led].r_last = tmp_val;
      last_length += tmpstring.length() +1;
      tmpstring="";


      // G
      for(int i = last_length + 1; i < uart_rec.length(); i++) {
        char onechar = uart_rec[i];
        if( onechar == ',') break;
        tmpstring += onechar;
      }

      tmp_val = (uint8_t)tmpstring.toInt();
      pulse_led[led].g = tmp_val;
      pulse_led[led].g_last = tmp_val;
      last_length += tmpstring.length() + 1;
      tmpstring="";

      // B
      for(int i = last_length + 1; i < uart_rec.length(); i++) {
        char onechar = uart_rec[i];
        if( onechar == ',') break;
        tmpstring += onechar;
      }

      tmp_val = (uint8_t)tmpstring.toInt();
      pulse_led[led].b = tmp_val;
      pulse_led[led].b_last = tmp_val;
      last_length += tmpstring.length() + 1;
      tmpstring="";

      // Get pulse frequency
      for(int i = last_length + 1; i < uart_rec.length(); i++) {
        char onechar = uart_rec[i];
        if( onechar == ',') break;
        tmpstring += onechar;
      }

      tmp_val = (uint8_t)tmpstring.toInt();
      if( tmp_val < 3) {
        pulse_led[led].speed = tmp_val;
      } 
      else {
        pulse_led[led].speed = 1;
      }

      uart.println("gotit");
    }
  } 
  else {
    uart.println("ERROR");
  }
}

void clearPulseLed(String received, uint8_t cnum) {
  if( cnum == 1 ) {

    String tmpstring="";
    uint8_t tmp_val;
    uint16_t led;


    // Detect LED
    for(int i = 2; i < uart_rec.length(); i++) {
      char onechar = uart_rec[i];
      if( onechar == ',') break;
      tmpstring += onechar;
    }
    led = tmpstring.toInt();

    if(!(led > WS_LED_NUM)) {
      pulse_led_bool[led] = false; 
      __rgb_array rgb[3] = {
        0,0,0            };
      led_setColor(led, rgb); 
      uart.println("gotit");
    }

  } 
  else {
    uart.println("ERROR");
  }
}


void setColorLed(String received, uint8_t cnum) {
  if( cnum == 4 ) {

    String tmpstring="";
    uint8_t last_length = 2;
    uint8_t r,g,b;
    uint16_t led;


    // Detect LED
    for(int i = 2; i < uart_rec.length(); i++) {
      char onechar = uart_rec[i];
      if( onechar == ',') break;
      tmpstring += onechar;
    }
    led = tmpstring.toInt();
    last_length += tmpstring.length();
    tmpstring="";

    if(!(led > WS_LED_NUM)) {

      // R
      for(int i = last_length + 1; i < uart_rec.length(); i++) {
        char onechar = uart_rec[i];
        if( onechar == ',') break;
        tmpstring += onechar;
      }

      r = (uint8_t)tmpstring.toInt();
      last_length += tmpstring.length() +1;
      tmpstring="";


      // G
      for(int i = last_length + 1; i < uart_rec.length(); i++) {
        char onechar = uart_rec[i];
        if( onechar == ',') break;
        tmpstring += onechar;
      }

      g = (uint8_t)tmpstring.toInt();
      last_length += tmpstring.length() + 1;
      tmpstring="";

      // B
      for(int i = last_length + 1; i < uart_rec.length(); i++) {
        char onechar = uart_rec[i];
        if( onechar == ',') break;
        tmpstring += onechar;
      }

      b = (uint8_t)tmpstring.toInt();
      last_length += tmpstring.length() + 1;
      tmpstring="";

      __rgb_array rgb[3] = { r,g,b };
      led_setColor(led,rgb);

      uart.println("gotit");
    }
  } 
  else {
    uart.println("ERROR");
  }
}

void clearColorLed(String received, uint8_t cnum) {
  if( cnum == 1 ) {

    String tmpstring="";
    uint8_t tmp_val;
    uint16_t led;


    // Detect LED
    for(int i = 2; i < uart_rec.length(); i++) {
      char onechar = uart_rec[i];
      if( onechar == ',') break;
      tmpstring += onechar;
    }
    led = tmpstring.toInt();

    if(!(led > WS_LED_NUM)) {
      __rgb_array rgb[3] = {
        0,0,0            };
      led_setColor(led, rgb); 
      uart.println("gotit");
    }

  } 
  else {
    uart.println("ERROR");
  }
}



